Приложение A. Управление системой etch

Содержание

A.1. Обновление системы etch
A.2. Проверка списка источников APT

В этом приложении содержится информация о том, как перед обновлением до lenny удостовериться, что вы можете устанавливать или обновлять пакеты etch. В некоторых случаях это может понадобиться.

A.1. Обновление системы etch

В основном, это обновление ничем не отличается от всех предыдущих обновлений etch, которые вы делали. Единственное отличие состоит в том, что сначала надо убедиться, что ваши списки пакетов всё ещё содержат ссылки на пакеты etch, как описано в Раздел A.2, «Проверка списка источников APT».

Если вы обновляете систему с сервера-зеркала Debian, то автоматически будет выполнено обновление до последнего выпуска etch.

A.2. Проверка списка источников APT

Если одна или несколько записей в вашем /etc/apt/sources.list ссылаются на стабильный дистрибутив ('stable'), то вы уже «используете» lenny. Если вы уже запустили apt-get update, то ещё не поздно всё отменить, просто выполнив инструкцию, приведённую ниже.

Если вы успели установить пакеты из lenny, то особого смысла в установке пакетов из etch уже нет. В этом случае вам следует решить — доводить до конца обновление или нет. Вернуться к использованию старых версий пакетов возможно, но эта процедура выходит за рамки данного документа.

Откройте файл /etc/apt/sources.list с помощью любого текстового редактора (имея привилегии root) и поищите в строках, начинающихся с deb http: или с deb ftp:, слово «stable». При нахождении, замените «stable» на «etch».

Если вы нашли строки, начинающиеся с deb file:, то вам придётся самостоятельно проверить, какие пакеты хранятся в указанном каталоге — etch или lenny.

[Важно]Важно

Не исправляйте строки, начинающиеся с deb cdrom:. Если вы исправите такую строку, то вам придётся снова запускать apt-cdrom. Не беспокойтесь, если источник cdrom ссылается на нестабильный («unstable») дистрибутив. Как это ни странно, так и должно быть.

Если вы внесли какие-нибудь изменения, сохраните файл и выполните команду

# apt-get update

для обновления списка пакетов.